path: /build/build/flatpak-sys-apps-1.14.6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise repo update && anise i libxmlb && anise cleanup
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -seccomp introspection policykit" emerge sys-apps/flatpak -pv -t && \
    USE="-doc -seccomp introspection policykit" emerge -j ${JOBS} --nodeps sys-apps/flatpak
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/flatpak && luet-portage --dir /pkgdir/flatpak
    sys-apps/flatpak && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:03157371f7008816c012f7ec94c51eca18b905d3c3e9c0afc0e11ebe3503c073
  package:
    name: flatpak
    version: 1.14.6
    category: sys-apps
    use_flags:
    - -doc
    - -seccomp
    - introspection
    - policykit
    requires:
    - name: libostree
      version: '>=0'
      category: sys-fs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Application distribution framework
    uri:
    - http://flatpak.org/
    license: LGPL-2.1
    buildtimestamp: 2024-05-02 08:57:10.807889571 +0000 UTC m=+117.287442387
    labels:
      BDEPEND: '>=sys-devel/automake-1.13.4 >=sys-devel/gettext-0.18.2 virtual/pkgconfig
        dev-util/gdbus-codegen sys-devel/bison introspection? ( >=dev-libs/gobject-introspection-1.40
        ) doc? ( >=dev-util/gtk-doc-1.20 dev-libs/libxslt ) || ( ( dev-lang/python:3.8
        dev-python/pyparsing[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/pyparsing[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/pyparsing[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ( dev-lang/python:3.10 dev-python/pyparsing[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: '>=sys-fs/libostree-2020.8[gpg(+)] >=net-libs/libsoup-2.4 >=gnome-base/dconf-0.26
        >=dev-libs/appstream-0.12 >=dev-libs/appstream-glib-0.5.10 x11-libs/gdk-pixbuf:2
        >=dev-libs/glib-2.56:2 >=dev-libs/libxml2-2.4 sys-apps/dbus dev-libs/json-glib
        x11-apps/xauth >=app-arch/libarchive-2.8 >=app-crypt/gpgme-1.1.8 >=sys-fs/fuse-2.9.2:0
        policykit? ( >=sys-auth/polkit-0.98 ) seccomp? ( sys-libs/libseccomp ) sys-apps/shadow'
      IUSE: doc gnome gtk introspection kde policykit seccomp kernel_linux
      RDEPEND: '>=sys-fs/libostree-2020.8[gpg(+)] >=net-libs/libsoup-2.4 >=gnome-base/dconf-0.26
        >=dev-libs/appstream-0.12 >=dev-libs/appstream-glib-0.5.10 x11-libs/gdk-pixbuf:2
        >=dev-libs/glib-2.56:2 >=dev-libs/libxml2-2.4 sys-apps/dbus dev-libs/json-glib
        x11-apps/xauth >=app-arch/libarchive-2.8 >=app-crypt/gpgme-1.1.8 >=sys-fs/fuse-2.9.2:0
        policykit? ( >=sys-auth/polkit-0.98 ) seccomp? ( sys-libs/libseccomp )'
      emerge.packages: sys-apps/flatpak
      kit: core-kit
      original.package.name: sys-apps/flatpak
      original.package.slot: "0"
      original.package.version: 1.14.6
    treedir: /build/packages
  package_dir: /pkgdir/flatpak
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 74e963963f2f1b33a7085cd4d375eb3e9a94eda6402ca143d74306c9400b7581
compressiontype: zstd
files:
- etc/dbus-1/system.d/org.freedesktop.Flatpak.SystemHelper.conf
- etc/profile.d/flatpak.sh
- usr/bin/flatpak
- usr/bin/flatpak-bisect
- usr/bin/flatpak-coredumpctl
- usr/include/flatpak/flatpak-bundle-ref.h
- usr/include/flatpak/flatpak-enum-types.h
- usr/include/flatpak/flatpak-error.h
- usr/include/flatpak/flatpak-installation.h
- usr/include/flatpak/flatpak-installed-ref.h
- usr/include/flatpak/flatpak-instance.h
- usr/include/flatpak/flatpak-portal-error.h
- usr/include/flatpak/flatpak-ref.h
- usr/include/flatpak/flatpak-related-ref.h
- usr/include/flatpak/flatpak-remote-ref.h
- usr/include/flatpak/flatpak-remote.h
- usr/include/flatpak/flatpak-transaction.h
- usr/include/flatpak/flatpak-version-macros.h
- usr/include/flatpak/flatpak.h
- usr/lib/systemd/system/flatpak-system-helper.service
- usr/lib/systemd/system-environment-generators/60-flatpak-system-only
- usr/lib/systemd/user/flatpak-oci-authenticator.service
- usr/lib/systemd/user/flatpak-portal.service
- usr/lib/systemd/user/flatpak-session-helper.service
- usr/lib/systemd/user-environment-generators/60-flatpak
- usr/lib/sysusers.d/flatpak.conf
- usr/lib/tmpfiles.d/flatpak.conf
- usr/lib64/girepository-1.0/Flatpak-1.0.typelib
- usr/lib64/libflatpak.la
- usr/lib64/libflatpak.so
- usr/lib64/libflatpak.so.0
- usr/lib64/libflatpak.so.0.11406.0
- usr/lib64/pkgconfig/flatpak.pc
- usr/libexec/flatpak-bwrap
- usr/libexec/flatpak-dbus-proxy
- usr/libexec/flatpak-oci-authenticator
- usr/libexec/flatpak-portal
- usr/libexec/flatpak-session-helper
- usr/libexec/flatpak-system-helper
- usr/libexec/flatpak-validate-icon
- usr/libexec/revokefs-fuse
- usr/share/bash-completion/completions/flatpak
- usr/share/dbus-1/interfaces/org.freedesktop.Flatpak.Authenticator.xml
- usr/share/dbus-1/interfaces/org.freedesktop.Flatpak.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Flatpak.xml
- usr/share/dbus-1/services/org.flatpak.Authenticator.Oci.service
- usr/share/dbus-1/services/org.freedesktop.Flatpak.service
- usr/share/dbus-1/services/org.freedesktop.portal.Flatpak.service
- usr/share/dbus-1/system-services/org.freedesktop.Flatpak.SystemHelper.service
- usr/share/doc/flatpak-1.14.6/NEWS.bz2
- usr/share/doc/flatpak-1.14.6/README.md.bz2
- usr/share/fish/vendor_completions.d/flatpak.fish
- usr/share/fish/vendor_conf.d/flatpak.fish
- usr/share/flatpak/triggers/desktop-database.trigger
- usr/share/flatpak/triggers/gtk-icon-cache.trigger
- usr/share/flatpak/triggers/mime-database.trigger
- usr/share/gir-1.0/Flatpak-1.0.gir
- usr/share/locale/cs/LC_MESSAGES/flatpak.mo
- usr/share/locale/da/LC_MESSAGES/flatpak.mo
- usr/share/locale/de/LC_MESSAGES/flatpak.mo
- usr/share/locale/en_GB/LC_MESSAGES/flatpak.mo
- usr/share/locale/es/LC_MESSAGES/flatpak.mo
- usr/share/locale/fr/LC_MESSAGES/flatpak.mo
- usr/share/locale/gl/LC_MESSAGES/flatpak.mo
- usr/share/locale/hi/LC_MESSAGES/flatpak.mo
- usr/share/locale/hr/LC_MESSAGES/flatpak.mo
- usr/share/locale/hu/LC_MESSAGES/flatpak.mo
- usr/share/locale/id/LC_MESSAGES/flatpak.mo
- usr/share/locale/oc/LC_MESSAGES/flatpak.mo
- usr/share/locale/pl/LC_MESSAGES/flatpak.mo
- usr/share/locale/pt/LC_MESSAGES/flatpak.mo
- usr/share/locale/pt_BR/LC_MESSAGES/flatpak.mo
- usr/share/locale/ro/LC_MESSAGES/flatpak.mo
- usr/share/locale/ru/LC_MESSAGES/flatpak.mo
- usr/share/locale/sk/LC_MESSAGES/flatpak.mo
- usr/share/locale/sv/LC_MESSAGES/flatpak.mo
- usr/share/locale/tr/LC_MESSAGES/flatpak.mo
- usr/share/locale/uk/LC_MESSAGES/flatpak.mo
- usr/share/locale/zh_CN/LC_MESSAGES/flatpak.mo
- usr/share/locale/zh_TW/LC_MESSAGES/flatpak.mo
- usr/share/polkit-1/actions/org.freedesktop.Flatpak.policy
- usr/share/polkit-1/rules.d/org.freedesktop.Flatpak.rules
- usr/share/zsh/site-functions/_flatpak
- var/db/pkg/sys-apps/flatpak-1.14.6/BDEPEND
- var/db/pkg/sys-apps/flatpak-1.14.6/BUILD_TIME
- var/db/pkg/sys-apps/flatpak-1.14.6/CATEGORY
- var/db/pkg/sys-apps/flatpak-1.14.6/CBUILD
- var/db/pkg/sys-apps/flatpak-1.14.6/CFLAGS
- var/db/pkg/sys-apps/flatpak-1.14.6/CHOST
- var/db/pkg/sys-apps/flatpak-1.14.6/CONTENTS
- var/db/pkg/sys-apps/flatpak-1.14.6/COUNTER
- var/db/pkg/sys-apps/flatpak-1.14.6/CXXFLAGS
- var/db/pkg/sys-apps/flatpak-1.14.6/DEFINED_PHASES
- var/db/pkg/sys-apps/flatpak-1.14.6/DEPEND
- var/db/pkg/sys-apps/flatpak-1.14.6/DESCRIPTION
- var/db/pkg/sys-apps/flatpak-1.14.6/EAPI
- var/db/pkg/sys-apps/flatpak-1.14.6/FEATURES
- var/db/pkg/sys-apps/flatpak-1.14.6/HOMEPAGE
- var/db/pkg/sys-apps/flatpak-1.14.6/INHERITED
- var/db/pkg/sys-apps/flatpak-1.14.6/IUSE
- var/db/pkg/sys-apps/flatpak-1.14.6/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/flatpak-1.14.6/KEYWORDS
- var/db/pkg/sys-apps/flatpak-1.14.6/LDFLAGS
- var/db/pkg/sys-apps/flatpak-1.14.6/LICENSE
- var/db/pkg/sys-apps/flatpak-1.14.6/NEEDED
- var/db/pkg/sys-apps/flatpak-1.14.6/PF
- var/db/pkg/sys-apps/flatpak-1.14.6/PROVIDES
- var/db/pkg/sys-apps/flatpak-1.14.6/RDEPEND
- var/db/pkg/sys-apps/flatpak-1.14.6/REQUIRES
- var/db/pkg/sys-apps/flatpak-1.14.6/SIZE
- var/db/pkg/sys-apps/flatpak-1.14.6/SLOT
- var/db/pkg/sys-apps/flatpak-1.14.6/USE
- var/db/pkg/sys-apps/flatpak-1.14.6/environment.bz2
- var/db/pkg/sys-apps/flatpak-1.14.6/flatpak-1.14.6.ebuild
- var/db/pkg/sys-apps/flatpak-1.14.6/repository
package_cacheimage: ""
runtime:
  name: flatpak
  version: 1.14.6
  category: sys-apps
  use_flags:
  - -doc
  - -seccomp
  - introspection
  - policykit
  requires:
  - name: appstream
    version: '>=0'
    category: dev-libs
  - name: appstream-glib
    version: '>=0'
    category: dev-libs
  - name: json-glib
    version: '>=0'
    category: dev-libs
  - name: dconf
    version: '>=0'
    category: gnome-base
  - name: polkit
    version: '>=0'
    category: sys-auth
  - name: libostree
    version: '>=0'
    category: sys-fs
  - name: xauth
    version: '>=0'
    category: x11-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Application distribution framework
  uri:
  - http://flatpak.org/
  license: LGPL-2.1
  labels:
    BDEPEND: '>=sys-devel/automake-1.13.4 >=sys-devel/gettext-0.18.2 virtual/pkgconfig
      dev-util/gdbus-codegen sys-devel/bison introspection? ( >=dev-libs/gobject-introspection-1.40
      ) doc? ( >=dev-util/gtk-doc-1.20 dev-libs/libxslt ) || ( ( dev-lang/python:3.8
      dev-python/pyparsing[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/pyparsing[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/pyparsing[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ( dev-lang/python:3.10 dev-python/pyparsing[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: '>=sys-fs/libostree-2020.8[gpg(+)] >=net-libs/libsoup-2.4 >=gnome-base/dconf-0.26
      >=dev-libs/appstream-0.12 >=dev-libs/appstream-glib-0.5.10 x11-libs/gdk-pixbuf:2
      >=dev-libs/glib-2.56:2 >=dev-libs/libxml2-2.4 sys-apps/dbus dev-libs/json-glib
      x11-apps/xauth >=app-arch/libarchive-2.8 >=app-crypt/gpgme-1.1.8 >=sys-fs/fuse-2.9.2:0
      policykit? ( >=sys-auth/polkit-0.98 ) seccomp? ( sys-libs/libseccomp ) sys-apps/shadow'
    IUSE: doc gnome gtk introspection kde policykit seccomp kernel_linux
    RDEPEND: '>=sys-fs/libostree-2020.8[gpg(+)] >=net-libs/libsoup-2.4 >=gnome-base/dconf-0.26
      >=dev-libs/appstream-0.12 >=dev-libs/appstream-glib-0.5.10 x11-libs/gdk-pixbuf:2
      >=dev-libs/glib-2.56:2 >=dev-libs/libxml2-2.4 sys-apps/dbus dev-libs/json-glib
      x11-apps/xauth >=app-arch/libarchive-2.8 >=app-crypt/gpgme-1.1.8 >=sys-fs/fuse-2.9.2:0
      policykit? ( >=sys-auth/polkit-0.98 ) seccomp? ( sys-libs/libseccomp )'
    emerge.packages: sys-apps/flatpak
    kit: core-kit
    original.package.name: sys-apps/flatpak
    original.package.slot: "0"
    original.package.version: 1.14.6
